\begin{center}
\begin{pspicture}(0,0)(3,2.5)

\cnodeput[linestyle=dashed](0,0.5){pq1}{$\state[1]$}
\cnodeput[doubleline=true](3,0.5){pq2}{$\state[2]$}

\ncline{->}{pq1}{pq2}
\goto[{$\atimer[\atfa]=0$}]{\clock{a}{}{T=0}}


\ncarc[arcangleA=135, arcangleB=135, ncurv=3]{->}{pq2}{pq2}
\aput{:U}{\clock{b}{}{}}

%\ncline{->}{pq2}{pq3}
\ncloop[angleB=180,loopsize=1.6]{->}{pq2}{pq1}
\dgoto[{$\timer{\atimer[\atfa]<10}$}]{\clock{c}{T<50}{}}

\end{pspicture}
\end{center}

\endinput
